package com.csc349blum.durerdrawer;

import java.io.InputStream;
import android.os.Bundle;
import android.app.Activity;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.SlidingDrawer;
import android.widget.SlidingDrawer.OnDrawerCloseListener;
import android.widget.SlidingDrawer.OnDrawerOpenListener;
import android.widget.Toast;

public class MainActivity extends Activity {

	int myIndex = 0;
	String urls[]; 
	
	/*
	 Don't forget you need permissions in the Manifest!!!!!!!!!!!!!!!!!
	*/
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		try{
			//http://stackoverflow.com/questions/6420293/reading-android-raw-text-file
			InputStream is = getResources().openRawResource(R.raw.durer_url);
		    byte[] buffer = new byte[is.available()];
		    while (is.read(buffer) != -1);
		    
		    String myText = new String(buffer);
		    
		    //Toast.makeText(getBaseContext(), myText, Toast.LENGTH_SHORT).show();
		    urls = myText.split("\\r?\\n");
		    
		    /*
		    for(int i=0; i<urls.length;i++){
		    	Toast.makeText(getBaseContext(), urls[i], Toast.LENGTH_SHORT).show();
		    }
		   */
		    
		    int loader = R.drawable.ic_launcher;
	        ImageView image = (ImageView) findViewById(R.id.ivDurer);
	        String image_url = urls[myIndex];
	        //Toast.makeText(getBaseContext(), "*"+image_url+"*", Toast.LENGTH_SHORT).show();
	        ImageLoader imgLoader = new ImageLoader(getApplicationContext());
	        imgLoader.DisplayImage(image_url, loader, image);	    
		}				
		catch(Exception e){
			Toast.makeText(getBaseContext(), "Problem with file", Toast.LENGTH_SHORT).show();
			e.printStackTrace();
		} 
		
		
		//Sliding Drawer is actually deprecated in the newest version of Android
		
		SlidingDrawer sd = (SlidingDrawer) findViewById(R.id.slidingDrawer1);
		sd.setOnDrawerOpenListener(new OnDrawerOpenListener(){
			@Override
			public void onDrawerOpened() {
				//Toast.makeText(getBaseContext(), "OPEN", Toast.LENGTH_SHORT).show();
				Button btnHandle = (Button) findViewById(R.id.handle);
				btnHandle.setBackgroundResource(R.drawable.downarrow1);
			}//end onDrawerOpened		
		});//end onDrawerOpenListener
		
		sd.setOnDrawerCloseListener(new OnDrawerCloseListener(){
			@Override
			public void onDrawerClosed() {
				Toast.makeText(getBaseContext(), "CLOSED", Toast.LENGTH_SHORT).show();	
			    
				myIndex = (myIndex +1)%urls.length;
				int loader = R.drawable.ic_launcher;
		        ImageView image = (ImageView) findViewById(R.id.ivDurer);
		        String image_url = urls[myIndex];
		        //Toast.makeText(getBaseContext(), "*"+image_url+"*", Toast.LENGTH_SHORT).show();
		        ImageLoader imgLoader = new ImageLoader(getApplicationContext());
		        imgLoader.DisplayImage(image_url, loader, image);
		        
				Button btnHandle = (Button) findViewById(R.id.handle);
				btnHandle.setBackgroundResource(R.drawable.uparrow);
			}//end onDrawerClosed
		});//end onDrawerVCloseListener
		
		
	} //end onCreate


} //end class
